clc;
clear;
close all;
%%
T0 = 0 ;
Ts = 0.001 ;
Tf = 20 ;
t = T0:Ts:Tf ; t = t' ;
N = numel(t) ;
H = tf([1 0.5] , [1 -1.5 0.7] , Ts , 'Variable' , 'z^-1') ;
e = randn(size(t)) ;
v = lsim(H , e , t) ;
Fs = 1/Ts ;
figure(1) ;
subplot(211) ;
plot(t , v , 'LineWidth' , 2) ;
grid on ; xlabel('Time') ; ylabel('Amp') ;

figure(1) ;
subplot(212) ;
bodemag(H) ; hold on
cpsd(v,v,[],[],[],Fs)